## org.apache.hadoop.io
Class SecureIOUtils.AlreadyExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.hadoop.io.SecureIOUtils.AlreadyExistsException

All Implemented Interfaces:
  Serializable

Enclosing class:
  SecureIOUtils

    public static class SecureIOUtils.AlreadyExistsException

extends IOException

Signals that an attempt to create a file at a given pathname has failed because another file already existed at that path.

See Also:
  Serialized Form

Constructor Summary
`SecureIOUtils.AlreadyExistsException(String msg)`
`SecureIOUtils.AlreadyExistsException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SecureIOUtils.AlreadyExistsException

    public SecureIOUtils.AlreadyExistsException(String msg)

### SecureIOUtils.AlreadyExistsException

    public SecureIOUtils.AlreadyExistsException(Throwable cause)

Copyright © 2009 The Apache Software Foundation